<div class="pt-28 md:pt-32 lg:pt-40 xl:pt-52 lg:mx-10 lg:flex">
  <div class="text-center lg:w-2/3">
    <div class="flex justify-center">
      <img [src]="userProfile?.avatar" alt="profile avatar"
        class="w-24 h-24 drop-shadow rounded-full aspect-square object-cover" />
    </div>
    <br />
    <p class="text-2xl font-medium">{{userProfile?.user_name}}</p>
    <p class="font-light italic lg:border-b lg:border-gray-300 lg:pb-2 lg:mx-16">Membre depuis le 06/08/2024</p>

    <nav>
      <ul class="flex justify-center text-2xl gap-10 my-7 lg:hidden">
        <li>
          <a (click)="setActiveTab('profile')" [ngClass]="{'border-b-2 border-gray-500 pb-2': activeTab === 'profile'}">
            <i class="fa-solid fa-user"></i>
          </a>
        </li>
        <li>
          <a (click)="setActiveTab('activities')"
            [ngClass]="{'border-b-2 border-gray-500 pb-2': activeTab === 'activities'}">
            <i class="fa-solid fa-person-walking"></i>
          </a>
        </li>
        <li>
          <a (click)="setActiveTab('favorites')"
            [ngClass]="{'border-b-2 border-gray-500 pb-2': activeTab === 'favorites'}">
            <i class="fa-solid fa-heart"></i>
          </a>
        </li>
        <li>
          <a (click)="setActiveTab('calendar')"
            [ngClass]="{'border-b-2 border-gray-500 pb-2': activeTab === 'calendar'}">
            <i class="fa-solid fa-calendar-days"></i>
          </a>
        </li>
        <li>
          <i class="fa-solid fa-right-from-bracket" (click)="openModal()"></i>
        </li>
      </ul>

      <ul class="hidden lg:block">
        <li 
          (click)="setActiveTab('profile')" 
          [ngClass]="{'text-orange-500': activeTab === 'profile'}" 
          class="border-b border-gray-300 mx-16 flex items-center px-2 py-3 gap-5 hover:cursor-pointer"
        >
          <i class="fa-solid fa-user"></i>
          <p class="italic">Infos personelles</p>
        </li>
        <li 
          (click)="setActiveTab('activities')" 
          [ngClass]="{'text-orange-500': activeTab === 'activities'}" 
          class="border-b border-gray-300 mx-16 flex items-center px-2 py-3 gap-5 hover:cursor-pointer"
          >
          <i class="fa-solid fa-person-walking"></i>
          <p class="italic">Mes circuits</p>
        </li>
        <li 
          (click)="setActiveTab('favorites')"
          [ngClass]="{'text-orange-500': activeTab === 'favorites'}" 
          class="border-b border-gray-300 mx-16 flex items-center px-2 py-3 gap-5 hover:cursor-pointer"
        >
          <i class="fa-solid fa-heart"></i>
          <p class="italic">Wishlist</p>
        </li>
        <li 
          (click)="setActiveTab('calendar')" 
          [ngClass]="{'text-orange-500': activeTab === 'calendar'}"
          class="border-b border-gray-300 mx-16 flex items-center px-2 py-3 gap-5 hover:cursor-pointer"
        >
          <i class="fa-solid fa-calendar-days"></i>
          <p class="italic">Réservations</p>
        </li>
        <li class="border-b border-gray-300 mx-16 flex items-center px-2 py-3 gap-5 hover:cursor-pointer" (click)="openModal()">
          <i class="fa-solid fa-right-from-bracket"></i>
            <p class="italic">Déconnexion</p>
        </li>
      </ul>
    </nav>
  </div>

  <div class="border-2 border-[#CCCCCC] rounded-lg mx-5 mb-10 xl:mb-14 lg:w-full">
    <ng-container *ngIf="activeTab === 'profile'">
      <div class="text-sm md:text-base">
        <div class="xl:flex justify-between items-center">
          <p class="p-4 font-medium text-lg">Informations personnelles</p>
          <app-button class="mr-2" [buttonText]="'Modifier Profil'" (buttonClick)="openEditUserModal()"></app-button>
        </div>
        <hr />
        <div class="flex gap-10 p-4">
          <p class="italic">Nom</p>
          <p>{{userProfile?.firstname}}</p>
        </div>
        <hr />
        <div class="flex gap-10 p-4">
          <p class="italic">Prénom</p>
          <p>{{userProfile?.lastname}}</p>
        </div>
        <hr />
        <div class="flex gap-10 p-4">
          <p class="italic">Âge</p>
          <p>{{userProfile?.year}}</p>
        </div>
        <hr />
        <div class="flex gap-4 p-4">
          <p class="italic">Numéro de téléphone</p>
          <p>{{userProfile?.user_phone}}</p>
        </div>
        <hr />
        <div class="flex gap-5 p-4">
          <p class="italic">E-mail</p>
          <p>{{userProfile?.user_mail}}</p>
        </div>
        <hr />
        <div class="flex gap-10 p-4">
          <p class="italic">Adresse</p>
          <p>{{userProfile?.user_address}}</p>
        </div>
        <hr />
        <div class="p-4">
          <p class="italic mb-3">Biographie</p>
          <p>{{userProfile?.biography}}</p>
        </div>
        <hr />
      </div>
    </ng-container>

    <ng-container *ngIf="activeTab === 'activities'">
      <div>
        <p class="p-4 font-medium text-lg">Tout vos circuits</p>
        <hr />
        <div *ngFor="let chemin of circuits; track: chemin" class="xl:flex justify-center">
          <div class="relative mt-5 mx-3 w-full" (click)="navigateToCircuit(chemin.ID_circuit)">
            <img 
              [src]="chemin.circuit_img" 
              alt="Description de votre image 1"
              class="w-full h-20 filter brightness-65 object-cover rounded" 
            />
            <div class="absolute inset-0 flex items-center mx-5">
              <p class="text-lg text-white font-medium md:text-xl xl:text-2xl">{{chemin.circuit_name}}</p>
            </div>
          </div>
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="activeTab === 'favorites'">
      <p class="p-4 font-medium text-lg">Retrouvez les produits des producteurs qui vous ont tapé dans l’oeil</p>
      <hr />
      <div class="flex flex-row justify-center flex-wrap">
        <div *ngFor="let wish of wishlist; track: wish" class="relative m-5 text-white">
          <img [src]="wish.product_img" alt="Description de votre image 1"
            class="w-52 h-80 filter brightness-65 rounded md:w-72 lg:w-80 xl:w-96 xl:h-96 object-cover" />
          <div class="absolute inset-0 flex items-end p-4">
            <p class="text-lg font-medium md:text-xl xl:text-2xl">{{wish.product_name}}</p>
          </div>
          <button (click)="removeFromWishlist(wish.ID_product)" class="absolute top-2 right-2 bg-red-500 text-white p-2 rounded-full">
            <i class="fa fa-trash"></i>
          </button>
        </div>
      </div>
    </ng-container>    

    <ng-container *ngIf="activeTab === 'calendar'">
      <div class="text-sm md:text-base">
        <p class="p-4 font-medium text-lg">Toutes vos réservations ici</p>
        <hr />
        <div *ngFor="let booking of allBooking; track: booking" class="xl:flex items-center gap-5 justify-center mt-8">
          <ng-container *ngIf="booking.workshop.photos.length > 0">
            <img [src]="booking.workshop.photos[0].url" class="w-60 h-60 rounded-lg" alt="Workshop Image" />
          </ng-container>
          <div>
            <p class="font-semibold text-2xl">{{booking.workshop.workshop_name}}</p>
            <p class="my-3 text-lg italic">Réservé le {{booking.booking_date}}</p>
            <p class="font-medium mb-3">Pour le {{booking.reservationDate.reservation_date}} de {{booking.reservationDate.start_time}} à {{booking.reservationDate.end_time}}</p>
            <div class="flex gap-5">
              <app-button (buttonClick)="navigateToWorkshop(booking.ID_booking)" [buttonText]="'Voir le détail'"></app-button>
              <button (click)="deleteBooking(booking.ID_booking)" class="bg-red-500 text-white px-7 py-2 rounded-full">Annuler la réservation</button>
            </div>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</div>

<app-modal [isOpen]="modalIsOpen" [title]="'Déconnexion'" (closed)="closeModal()">
  <h1 class="text-lg mt-2 italic font-medium">Vous allez être déconnecté</h1>
  <button class="mt-2" (click)="logout()">Ok</button>
</app-modal>

<app-modal [isOpen]="modalEditUser" [title]="'Modifier Profil'" (closed)="closeEditUserModal()">
  <form [formGroup]="editUserForm" (ngSubmit)="onSubmit()" class="space-y-6">
    <div class="form-group">
      <label for="user_name" class="block text-sm font-medium text-gray-700">Nom d'utilisateur</label>
      <input id="user_name" formControlName="user_name" type="text" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <div class="form-group">
      <label for="user_mail" class="block text-sm font-medium text-gray-700">Email</label>
      <input id="user_mail" formControlName="user_mail" type="email" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <div class="form-group">
      <label for="biography" class="block text-sm font-medium text-gray-700">Biographie</label>
      <textarea id="biography" formControlName="biography" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"></textarea>
    </div>

    <div class="form-group">
      <label for="firstname" class="block text-sm font-medium text-gray-700">Prénom</label>
      <input id="firstname" formControlName="firstname" type="text" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <div class="form-group">
      <label for="lastname" class="block text-sm font-medium text-gray-700">Nom</label>
      <input id="lastname" formControlName="lastname" type="text" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <div class="form-group">
      <label for="address" class="block text-sm font-medium text-gray-700">Adresse</label>
      <input id="address" formControlName="address" type="text" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <div class="form-group">
      <label for="year" class="block text-sm font-medium text-gray-700">Âge</label>
      <input id="year" formControlName="year" type="number" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"/>
    </div>

    <button type="submit" class="w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
      Enregistrer
    </button>
  </form>
  
</app-modal>

<app-spinner [loading]="isLoading"></app-spinner>